SRC_BOOM=boom/algs.cpp boom/boom.cpp boom/bufferstruct.cpp boom/cd.cpp boom/conf.cpp boom/cover.cpp boom/decomp.cpp boom/dft.cpp boom/fcmin.cpp boom/checks.cpp boom/ie.cpp boom/implcheck.cpp boom/ir.cpp boom/simulate.cpp boom/tboolfnct.cpp boom/tpfnct.cpp
SRC_DESIGNER=designer/appwindow.cpp designer/designer.cpp designer/frmlist.cpp designer/propertyeditor.cpp designer/toolbutton.cpp designer/toplevelwindow.cpp
SRC_EXCEPTIONS=exceptions/exception.cpp exceptions/exceptionbase.cpp exceptions/exceptioneval.cpp exceptions/exceptionio.cpp exceptions/exceptionnoimplementation.cpp exceptions/exceptionnullptr.cpp exceptions/exceptiontype.cpp
SRC_MODULES=modulemanager/command.cpp modulemanager/help.cpp modulemanager/imodule.cpp modulemanager/messageclass.cpp modulemanager/modulemanager.cpp modulemanager/moduletype.cpp modulemanager/vardef.cpp modulemanager/varinst.cpp
SRC_TEST=testsuite/testadd.cpp testsuite/testcompare.cpp
SRC_TINYXML=tinyxml/tinystr.cpp tinyxml/tinyxml.cpp tinyxml/tinyxmlerror.cpp tinyxml/tinyxmlparser.cpp
SRC_EVENTS=tk/gui/event/eactivate.cpp tk/gui/event/ebase.cpp tk/gui/event/ebuttonpress.cpp tk/gui/event/ebuttonrelease.cpp tk/gui/event/ecirculate.cpp tk/gui/event/ecirculaterequest.cpp tk/gui/event/ecolormap.cpp tk/gui/event/econfigure.cpp tk/gui/event/econfigurerequest.cpp tk/gui/event/ecreate.cpp tk/gui/event/edeactivate.cpp tk/gui/event/edestroy.cpp tk/gui/event/edouble.cpp tk/gui/event/eenter.cpp tk/gui/event/eexpose.cpp tk/gui/event/efield.cpp tk/gui/event/efocusin.cpp tk/gui/event/efocusout.cpp tk/gui/event/egravity.cpp tk/gui/event/ekeypress.cpp tk/gui/event/ekeyrelease.cpp tk/gui/event/eleave.cpp tk/gui/event/emap.cpp tk/gui/event/emaprequest.cpp tk/gui/event/emotion.cpp tk/gui/event/emousewheel.cpp tk/gui/event/eproperty.cpp tk/gui/event/ereparent.cpp tk/gui/event/eresizerequest.cpp tk/gui/event/eunmap.cpp tk/gui/event/evisibility.cpp
SRC_OPTIONS=tk/gui/options/enums/tk_3stateoption.cpp tk/gui/options/enums/tk_anchoroption.cpp tk/gui/options/enums/tk_compoundoption.cpp tk/gui/options/enums/tk_enumoption.cpp tk/gui/options/enums/tk_justifyoption.cpp tk/gui/options/enums/tk_orientoption.cpp tk/gui/options/enums/tk_reliefoption.cpp tk/gui/options/enums/tk_stateoption.cpp tk/gui/options/enums/tk_validationtype.cpp tk/gui/options/enums/tk_winstateoption.cpp tk/gui/options/enums/tk_wrapoption.cpp tk/gui/options/tk_baseoption.cpp tk/gui/options/tk_booloption.cpp tk/gui/options/tk_coloroption.cpp tk/gui/options/tk_doubleoption.cpp tk/gui/options/tk_dpoption.cpp tk/gui/options/tk_intoption.cpp tk/gui/options/tk_listoption.cpp tk/gui/options/tk_optiondef.cpp tk/gui/options/tk_rectoption.cpp tk/gui/options/tk_resizeoption.cpp tk/gui/options/tk_stringoption.cpp
SRC_GUI=tk/gui/gui.cpp tk/gui/image/tk_photo.cpp tk/gui/tk_base.cpp tk/gui/tk_button.cpp tk/gui/tk_container.cpp tk/gui/tk_dialogs.cpp tk/gui/tk_entry.cpp tk/gui/tk_frame.cpp tk/gui/tk_grid_constraints.cpp tk/gui/tk_grid_layout.cpp tk/gui/tk_checkbutton.cpp tk/gui/tk_label.cpp tk/gui/tk_layout.cpp tk/gui/tk_listbox.cpp tk/gui/tk_menu.cpp tk/gui/tk_place_constraints.cpp tk/gui/tk_place_layout.cpp tk/gui/tk_radiobutton.cpp tk/gui/tk_scrollbar.cpp tk/gui/tk_spinbox.cpp tk/gui/tk_text.cpp tk/gui/tk_toplevel.cpp tk/gui/myvardef.cpp tk/gui/mymoduletype.cpp
SRC_TCL=tk/tcl_guid.cpp tk/tcl_interp.cpp
SRC_TCLVARS=tk/vars/tcl_boolvar.cpp tk/vars/tcl_doublevar.cpp tk/vars/tcl_intvar.cpp tk/vars/tcl_listvar.cpp tk/vars/tcl_stringvar.cpp tk/vars/tcl_var.cpp 
SRC_ROOT=tobject.cpp txmlobject.cpp
INCLUDE=-I/usr/include/tcl8.4
SRCS=$(SRC_BOOM) $(SRC_DESIGNER) $(SRC_EXCEPTIONS) $(SRC_MODULES) $(SRC_TEST) $(SRC_TINYXML) $(SRC_EVENTS) $(SRC_OPTIONS) $(SRC_GUI) $(SRC_TCL) $(SRC_TCLVARS) $(SRC_ROOT)
OBJECTS=$(SRCS:.cpp=.o)
PROGRAM=main
CC=gcc
LIBS=-lstdc++ -ltcl8.4 -ltk8.4

default: $(PROGRAM)

$(PROGRAM): $(OBJECTS) main.o
	$(CC) $(OBJECTS) $(LIBS) main.o -o $(PROGRAM)

dmain: $(OBJECTS) dmain.o
	$(CC) $(OBJECTS) $(LIBS) dmain.o -o dmain

%.o: %.cpp
	$(CC) -c $(INCLUDE) $< -o $@

clean:
	rm -f $(PROGRAM) $(OBJECTS) core main.o dmain.o
